import React, { Fragment } from "react";
import { styled, themes, convert } from "@storybook/theming";
import { TabsState, Placeholder, Button } from "@storybook/components";
import { List } from "./List";
export var RequestDataButton = styled(Button)({
  marginTop: "1rem"
});
/**
 * Checkout https://github.com/storybookjs/storybook/blob/next/addons/jest/src/components/Panel.tsx
 * for a real world example
 */

export var PanelContent = function PanelContent(_ref) {
  var results = _ref.results,
      fetchData = _ref.fetchData,
      clearData = _ref.clearData;
  return /*#__PURE__*/React.createElement(TabsState, {
    initial: "overview",
    backgroundColor: convert(themes.normal).background.hoverable
  }, /*#__PURE__*/React.createElement("div", {
    id: "overview",
    title: "Overview",
    color: convert(themes.normal).color.positive
  }, /*#__PURE__*/React.createElement(Placeholder, null, /*#__PURE__*/React.createElement(Fragment, null, "Addons can gather details about how a story is rendered. This is panel uses a tab pattern. Click the button below to fetch data for the other two tabs."), /*#__PURE__*/React.createElement(Fragment, null, /*#__PURE__*/React.createElement(RequestDataButton, {
    secondary: true,
    small: true,
    onClick: fetchData,
    style: {
      marginRight: 16
    }
  }, "Request data"), /*#__PURE__*/React.createElement(RequestDataButton, {
    outline: true,
    small: true,
    onClick: clearData
  }, "Clear data")))), /*#__PURE__*/React.createElement("div", {
    id: "danger",
    title: "".concat(results.danger.length, " Danger"),
    color: convert(themes.normal).color.negative
  }, /*#__PURE__*/React.createElement(List, {
    items: results.danger
  })), /*#__PURE__*/React.createElement("div", {
    id: "warning",
    title: "".concat(results.warning.length, " Warning"),
    color: convert(themes.normal).color.warning
  }, /*#__PURE__*/React.createElement(List, {
    items: results.warning
  })));
};